com.amazonaws.services.codecommit

## Class AbstractAWSCodeCommit

- java.lang.Object
- - com.amazonaws.services.codecommit.AbstractAWSCodeCommit

All Implemented Interfaces:
  AWSCodeCommit

Direct Known Subclasses:
  AbstractAWSCodeCommitAsync

    public class AbstractAWSCodeCommit
    extends Object
    implements AWSCodeCommit

Abstract implementation of `AWSCodeCommit`. Convenient method forms pass through to the corresponding overload that takes a request object, which throws an `UnsupportedOperationException`.

### Field Summary

### Fields inherited from interface com.amazonaws.services.codecommit.AWSCodeCommit

`ENDPOINT_PREFIX`

### Constructor Summary

Constructors
`protected` `AbstractAWSCodeCommit()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetRepositoriesResult` `batchGetRepositories(BatchGetRepositoriesRequest request)` Returns information about one or more repositories.
`CreateBranchResult` `createBranch(CreateBranchRequest request)` Creates a new branch in a repository and points the branch to a commit.
`CreateRepositoryResult` `createRepository(CreateRepositoryRequest request)` Creates a new, empty repository.
`DeleteRepositoryResult` `deleteRepository(DeleteRepositoryRequest request)` Deletes a repository.
`GetBranchResult` `getBranch(GetBranchRequest request)` Returns information about a repository branch, including its name and the last commit ID.
`ResponseMetadata` `getCachedResponseMetadata(AmazonWebServiceRequest request)` Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected.
`GetCommitResult` `getCommit(GetCommitRequest request)` Returns information about a commit, including commit message and committer information.
`GetRepositoryResult` `getRepository(GetRepositoryRequest request)` Returns information about a repository.
`GetRepositoryTriggersResult` `getRepositoryTriggers(GetRepositoryTriggersRequest request)` Gets information about triggers configured for a repository.
`ListBranchesResult` `listBranches(ListBranchesRequest request)` Gets information about one or more branches in a repository.
`ListRepositoriesResult` `listRepositories(ListRepositoriesRequest request)` Gets information about one or more repositories.
`PutRepositoryTriggersResult` `putRepositoryTriggers(PutRepositoryTriggersRequest request)` Replaces all triggers for a repository.
`void` `setEndpoint(String endpoint)` Overrides the default endpoint for this client ("https://codecommit.us-east-1.amazonaws.com").
`void` `setRegion(Region region)` An alternative to `AWSCodeCommit.setEndpoint(String)`, sets the regional endpoint for this client's service calls.
`void` `shutdown()` Shuts down this client object, releasing any resources that might be held open.
`TestRepositoryTriggersResult` `testRepositoryTriggers(TestRepositoryTriggersRequest request)` Tests the functionality of repository triggers by sending information to the trigger target.
`UpdateDefaultBranchResult` `updateDefaultBranch(UpdateDefaultBranchRequest request)` Sets or changes the default branch name for the specified repository.
`UpdateRepositoryDescriptionResult` `updateRepositoryDescription(UpdateRepositoryDescriptionRequest request)` Sets or changes the comment or description for a repository.
`UpdateRepositoryNameResult` `updateRepositoryName(UpdateRepositoryNameRequest request)` Renames a repository.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractAWSCodeCommit

    protected AbstractAWSCodeCommit()

### Method Detail

#### setEndpoint

    public void setEndpoint(String endpoint)

Description copied from interface: `AWSCodeCommit`
Overrides the default endpoint for this client ("https://codecommit.us-east-1.amazonaws.com"). Callers can use this method to control which AWS region they want to work with.

Callers can pass in just the endpoint (ex: "codecommit.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "https://codecommit.us-east-1.amazonaws.com"). If the protocol is not specified here, the default protocol from this client's `ClientConfiguration` will be used, which by default is HTTPS.

For more information on using AWS regions with the AWS SDK for Java, and a complete list of all available endpoints for all AWS services, see: http://developer.amazonwebservices.com/connect/entry.jspa?externalID=3912

This method is not threadsafe. An endpoint should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setEndpoint` in interface `AWSCodeCommit`
Parameters:
  `endpoint` - The endpoint (ex: "codecommit.us-east-1.amazonaws.com") or a full URL, including the protocol (ex: "https://codecommit.us-east-1.amazonaws.com") of the region specific AWS endpoint this client will communicate with.

#### setRegion

    public void setRegion(Region region)

Description copied from interface: `AWSCodeCommit`
An alternative to `AWSCodeCommit.setEndpoint(String)`, sets the regional endpoint for this client's service calls. Callers can use this method to control which AWS region they want to work with.

By default, all service endpoints in all regions use the https protocol. To use http instead, specify it in the `ClientConfiguration` supplied at construction.

This method is not threadsafe. A region should be configured when the client is created and before any service requests are made. Changing it afterwards creates inevitable race conditions for any service requests in transit or retrying.

Specified by:
  `setRegion` in interface `AWSCodeCommit`
Parameters:
  `region` - The region this client will communicate with. See `Region.getRegion(com.amazonaws.regions.Regions)` for accessing a given region. Must not be null and must be a region where the service is available.
See Also:
  `Region.getRegion(com.amazonaws.regions.Regions)`, `Region.createClient(Class, com.amazonaws.auth.AWSCredentialsProvider, ClientConfiguration)`, `Region.isServiceSupported(String)`

#### batchGetRepositories

    public BatchGetRepositoriesResult batchGetRepositories(BatchGetRepositoriesRequest request)

Description copied from interface: `AWSCodeCommit`

Returns information about one or more repositories.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Specified by:
  `batchGetRepositories` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a batch get repositories operation.
Returns:
  Result of the BatchGetRepositories operation returned by the service.

#### createBranch

    public CreateBranchResult createBranch(CreateBranchRequest request)

Description copied from interface: `AWSCodeCommit`

Creates a new branch in a repository and points the branch to a commit.

<note>

Calling the create branch operation does not set a repository's default branch. To do this, call the update default branch operation.

</note>

Specified by:
  `createBranch` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a create branch operation.
Returns:
  Result of the CreateBranch operation returned by the service.

#### createRepository

    public CreateRepositoryResult createRepository(CreateRepositoryRequest request)

Description copied from interface: `AWSCodeCommit`

Creates a new, empty repository.

Specified by:
  `createRepository` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a create repository operation.
Returns:
  Result of the CreateRepository operation returned by the service.

#### deleteRepository

    public DeleteRepositoryResult deleteRepository(DeleteRepositoryRequest request)

Description copied from interface: `AWSCodeCommit`

Deletes a repository. If a specified repository was already deleted, a null repository ID will be returned.

<important>Deleting a repository also deletes all associated objects and metadata. After a repository is deleted, all future push calls to the deleted repository will fail.</important>

Specified by:
  `deleteRepository` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a delete repository operation.
Returns:
  Result of the DeleteRepository operation returned by the service.

#### getBranch

    public GetBranchResult getBranch(GetBranchRequest request)

Description copied from interface: `AWSCodeCommit`

Returns information about a repository branch, including its name and the last commit ID.

Specified by:
  `getBranch` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a get branch operation.
Returns:
  Result of the GetBranch operation returned by the service.

#### getCommit

    public GetCommitResult getCommit(GetCommitRequest request)

Description copied from interface: `AWSCodeCommit`

Returns information about a commit, including commit message and committer information.

Specified by:
  `getCommit` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a get commit operation.
Returns:
  Result of the GetCommit operation returned by the service.

#### getRepository

    public GetRepositoryResult getRepository(GetRepositoryRequest request)

Description copied from interface: `AWSCodeCommit`

Returns information about a repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Specified by:
  `getRepository` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a get repository operation.
Returns:
  Result of the GetRepository operation returned by the service.

#### getRepositoryTriggers

    public GetRepositoryTriggersResult getRepositoryTriggers(GetRepositoryTriggersRequest request)

Description copied from interface: `AWSCodeCommit`

Gets information about triggers configured for a repository.

Specified by:
  `getRepositoryTriggers` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a get repository triggers operation.
Returns:
  Result of the GetRepositoryTriggers operation returned by the service.

#### listBranches

    public ListBranchesResult listBranches(ListBranchesRequest request)

Description copied from interface: `AWSCodeCommit`

Gets information about one or more branches in a repository.

Specified by:
  `listBranches` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a list branches operation.
Returns:
  Result of the ListBranches operation returned by the service.

#### listRepositories

    public ListRepositoriesResult listRepositories(ListRepositoriesRequest request)

Description copied from interface: `AWSCodeCommit`

Gets information about one or more repositories.

Specified by:
  `listRepositories` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a list repositories operation.
Returns:
  Result of the ListRepositories operation returned by the service.

#### putRepositoryTriggers

    public PutRepositoryTriggersResult putRepositoryTriggers(PutRepositoryTriggersRequest request)

Description copied from interface: `AWSCodeCommit`

Replaces all triggers for a repository. This can be used to create or delete triggers.

Specified by:
  `putRepositoryTriggers` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input ofa put repository triggers operation.
Returns:
  Result of the PutRepositoryTriggers operation returned by the service.

#### testRepositoryTriggers

    public TestRepositoryTriggersResult testRepositoryTriggers(TestRepositoryTriggersRequest request)

Description copied from interface: `AWSCodeCommit`

Tests the functionality of repository triggers by sending information to the trigger target. If real data is available in the repository, the test will send data from the last commit. If no data is available, sample data will be generated.

Specified by:
  `testRepositoryTriggers` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of a test repository triggers operation.
Returns:
  Result of the TestRepositoryTriggers operation returned by the service.

#### updateDefaultBranch

    public UpdateDefaultBranchResult updateDefaultBranch(UpdateDefaultBranchRequest request)

Description copied from interface: `AWSCodeCommit`

Sets or changes the default branch name for the specified repository.

<note>

If you use this operation to change the default branch name to the current default branch name, a success message is returned even though the default branch did not change.

</note>

Specified by:
  `updateDefaultBranch` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of an update default branch operation.
Returns:
  Result of the UpdateDefaultBranch operation returned by the service.

#### updateRepositoryDescription

    public UpdateRepositoryDescriptionResult updateRepositoryDescription(UpdateRepositoryDescriptionRequest request)

Description copied from interface: `AWSCodeCommit`

Sets or changes the comment or description for a repository.

<note>

The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a web page could expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a web page.

</note>

Specified by:
  `updateRepositoryDescription` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of an update repository description operation.
Returns:
  Result of the UpdateRepositoryDescription operation returned by the service.

#### updateRepositoryName

    public UpdateRepositoryNameResult updateRepositoryName(UpdateRepositoryNameRequest request)

Description copied from interface: `AWSCodeCommit`

Renames a repository. The repository name must be unique across the calling AWS account. In addition, repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. The suffix ".git" is prohibited. For a full description of the limits on repository names, see Limits in the AWS CodeCommit User Guide.

Specified by:
  `updateRepositoryName` in interface `AWSCodeCommit`
Parameters:
  `request` - Represents the input of an update repository description operation.
Returns:
  Result of the UpdateRepositoryName operation returned by the service.

#### shutdown

    public void shutdown()

Description copied from interface: `AWSCodeCommit`
Shuts down this client object, releasing any resources that might be held open. This is an optional method, and callers are not expected to call it, but can if they want to explicitly release any open resources. Once a client has been shutdown, it should not be used to make any more requests.

Specified by:
  `shutdown` in interface `AWSCodeCommit`

#### getCachedResponseMetadata

    public ResponseMetadata getCachedResponseMetadata(AmazonWebServiceRequest request)

Description copied from interface: `AWSCodeCommit`
Returns additional metadata for a previously executed successful request, typically used for debugging issues where a service isn't acting as expected. This data isn't considered part of the result data returned by an operation, so it's available through this separate, diagnostic interface.

Response metadata is only cached for a limited period of time, so if you need to access this extra diagnostic information for an executed request, you should use this method to retrieve it as soon as possible after executing a request.

Specified by:
  `getCachedResponseMetadata` in interface `AWSCodeCommit`
Parameters:
  `request` - The originally executed request.
Returns:
  The response metadata for the specified request, or null if none is available.